Skip to main content
GET
/
v2
/
sepa
/
recurring_transfers
/
{id}
Get SEPA recurring transfer
curl --request GET \
  --url https://thirdparty.qonto.com/v2/sepa/recurring_transfers/{id} \
  --header 'Authorization: Bearer <token>'
{ "recurring_transfer": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "initiator_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "bank_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "amount": 1100.5, "amount_cents": 110050, "amount_currency": "EUR", "beneficiary_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "reference": "Lease payment", "note": "Lease payment for offices in Paris", "first_execution_date": "2025-04-22", "last_execution_date": "2026-08-21", "next_execution_date": "2025-05-22", "frequency": "weekly", "created_at": "2025-04-22T12:00:00Z", "updated_at": "2025-04-22T12:00:00Z", "status": "<string>" } }

Authorizations

Authorization
string
header
required

Bearer authorization header: Bearer <token>, where <token> is the access token received from the authorization server at the end of the OAuth 2.0 flow.

Headers

X-Qonto-Staging-Token
string

Required only for Sandbox API requests; to get one, please sign up to the Developer Portal.

Path Parameters

id
string
required

ID of the SEPA recurring transfer

Response

SEPA recurring transfer retrieved successfully

recurring_transfer
object
required